(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      5079,        118]
NotebookOptionsPosition[      4349,         97]
NotebookOutlinePosition[      4781,        113]
CellTagsIndexPosition[      4738,        110]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The Art of problem solving in Wolfram Language in \
\[CloseCurlyQuote]22", "Title",
 CellChangeTimes->{{3.8664028106209884`*^9, 3.8664028186197805`*^9}, {
  3.86640285855899*^9, 3.8664028854618883`*^9}, {3.866405592825966*^9, 
  3.866405608997628*^9}, {3.866405717271702*^9, 3.8664057177858973`*^9}, {
  3.866406454633733*^9, 3.8664064573807487`*^9}, {3.866417198248563*^9, 
  3.8664172095651665`*^9}, {3.8664834234158554`*^9, 
  3.866483423674434*^9}},ExpressionUUID->"4b758008-a790-4ef1-b5fb-\
a375a91b486c"],

Cell["Shenghui Yang, Wolfram Research", "Author",
 CellChangeTimes->{{3.8664056944585247`*^9, 
  3.866405700948433*^9}},ExpressionUUID->"8e554432-b235-46bf-a236-\
6ee832e945f7"],

Cell[CellGroupData[{

Cell["Abstract", "Section",
 CellChangeTimes->{{3.8664057070952983`*^9, 3.8664057106013846`*^9}, {
  3.8664066011309495`*^9, 
  3.8664066068017406`*^9}},ExpressionUUID->"c851c714-e1b4-424a-80cf-\
b0ebe8ce01bd"],

Cell[TextData[{
 "In \[CloseCurlyQuote]20 I have focused on olympiad geometry and in \
\[CloseCurlyQuote]21 I have covered 4 problems about circle inversion, \
asymptotics, number theory and combinatorics just like the IMO exam syllabus. \
Both talks are welcomed by virtual event attendees and YouTube viewers. This \
year I am going to use the same instruction style in \[CloseCurlyQuote]21 and \
demonstrate the problem solving skills in these four domain. In the past \
years, there are a large amount of WFR submissions, which opens several new \
paths for solving challenging problems with even fewer lines of code and \
clearer way of thinking. I have selected couple of problems and examples from \
the following published resources:\n \nL.A. Graham\[CloseCurlyQuote]s ",
 StyleBox["Ingenious mathematical problems and methods",
  FontSlant->"Italic"],
 "\nR. Honsberger\[CloseCurlyQuote]s ",
 StyleBox["From Erdos to Kiev: Problems of Olympia Caliber ",
  FontSlant->"Italic"],
 "(or related CRUX volumes)",
 ";\nM. H. ",
 StyleBox["Weissman\[CloseCurlyQuote]s",
  IgnoreSpellCheck->True],
 " ",
 StyleBox["An Illustrated Theory of Numbers",
  FontSlant->"Italic"],
 " \nand lastly, Stanley\[CloseCurlyQuote]s ",
 StyleBox["Enumerative Combinatorics\n\n",
  FontSlant->"Italic"],
 "Wolfram language\[CloseCurlyQuote]s built-in function and WFR resources \
have a unique charm to make the exploration of the solutions very expressive. \
It is critical to see the connection between the Aha! moment and solid \
examples generated by WL, even with silly brutal force method at first.Wish \
all my audience enjoy the talk and start your own journey of solving \
challenging problems with WL. "
}], "Text",
 CellChangeTimes->{{3.8664066474218173`*^9, 3.8664067109990234`*^9}, {
   3.8664068215775175`*^9, 3.866406844976057*^9}, {3.8664108458384275`*^9, 
   3.866410870134934*^9}, {3.8664111563362*^9, 3.8664111663779135`*^9}, {
   3.866412935177705*^9, 3.866412938263796*^9}, {3.8664163822352333`*^9, 
   3.8664163995364842`*^9}, {3.866416444465701*^9, 3.8664165456517787`*^9}, {
   3.8664166526669807`*^9, 3.86641668951204*^9}, {3.8664168951564913`*^9, 
   3.8664171535949774`*^9}, {3.866417268685276*^9, 3.866417292431866*^9}, 
   3.8664187186656666`*^9, {3.866481447596893*^9, 3.8664816810622435`*^9}, {
   3.8664817171880817`*^9, 3.866481912761983*^9}, 3.866481950242524*^9, {
   3.866482026973609*^9, 3.8664821932768807`*^9}, {3.8664822244436455`*^9, 
   3.8664822770083995`*^9}, {3.8664823168065577`*^9, 
   3.8664824384761267`*^9}, {3.8664825553225985`*^9, 
   3.8664825686527615`*^9}, {3.8664826242080593`*^9, 3.866482756929592*^9}, {
   3.8664829729963117`*^9, 3.8664830468137474`*^9}, {3.8664830909556293`*^9, 
   3.86648330607845*^9}},ExpressionUUID->"0ea5a657-bda8-4600-87e0-\
0dbe58ba5008"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{774.5999999999999, 576.9},
WindowMargins->{{Automatic, 159.30000000000007`}, {Automatic, 0}},
FrontEndVersion->"13.1 for Microsoft Windows (64-bit) (August 22, 2022)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"a6fdd41b-cd6e-4f09-9710-a16ad85ed503"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 516, 8, 160, "Title",ExpressionUUID->"4b758008-a790-4ef1-b5fb-a375a91b486c"],
Cell[1099, 32, 177, 3, 31, "Author",ExpressionUUID->"8e554432-b235-46bf-a236-6ee832e945f7"],
Cell[CellGroupData[{
Cell[1301, 39, 210, 4, 67, "Section",ExpressionUUID->"c851c714-e1b4-424a-80cf-b0ebe8ce01bd"],
Cell[1514, 45, 2807, 48, 403, "Text",ExpressionUUID->"0ea5a657-bda8-4600-87e0-0dbe58ba5008"]
}, Open  ]]
}, Open  ]]
}
]
*)

